Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.asSyntax
Enum LogExpr.LogicalOp

    java.lang.Object
      java.lang.Enum<LogExpr.LogicalOp>
          jason.asSyntax.LogExpr.LogicalOp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogExpr.LogicalOp>

Enclosing class:
  LogExpr

    public static enum LogExpr.LogicalOp

extends java.lang.Enum<LogExpr.LogicalOp>

Enum Constant Summary
`and`
`none`
`not`
`or`

Method Summary
`static LogExpr.LogicalOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogExpr.LogicalOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final LogExpr.LogicalOp none

### not

    public static final LogExpr.LogicalOp not

### and

    public static final LogExpr.LogicalOp and

### or

    public static final LogExpr.LogicalOp or

Method Detail

### values

    public static LogExpr.LogicalOp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LogExpr.LogicalOp c : LogExpr.LogicalOp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LogExpr.LogicalOp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD